ARG IMAGE

FROM golang:1.14-alpine AS build
WORKDIR /build
COPY . .
RUN CGO_ENABLED=0 GOOS=linux go build -o go-resolver

# hadolint ignore=DL3006
FROM ${IMAGE} as core
COPY --from=build /build/go-resolver /bin/
CMD ["go-resolver"]
